org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryHandlerV2<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryHandler<K,V>
  - - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryHandlerV2<K,V>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, GridContinuousHandler

    public class CacheContinuousQueryHandlerV2<K,V>
    extends CacheContinuousQueryHandler<K,V>

Continuous query handler V2 version. Contains `Factory` for remote listener.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryHandler

`CacheContinuousQueryHandler.DeployableObject`

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.processors.continuous.GridContinuousHandler

`GridContinuousHandler.RegisterStatus`

### Field Summary

Fields
`protected javax.cache.event.CacheEntryEventFilter` `filter`

### Constructor Summary

Constructors
Constructor and Description
`CacheContinuousQueryHandlerV2()` Required by `Externalizable`.
`CacheContinuousQueryHandlerV2(String cacheName, Object topic, javax.cache.event.CacheEntryUpdatedListener<K,V> locLsnr, javax.cache.configuration.Factory<? extends javax.cache.event.CacheEntryEventFilter<K,V>> rmtFilterFactory, boolean oldValRequired, boolean sync, boolean ignoreExpired, boolean ignoreClsNotFound, Byte types)` Constructor.

### Method Summary

Methods
`GridContinuousHandler` `clone()` Clones this handler.
`javax.cache.event.CacheEntryEventFilter` `getEventFilter()`
`void` `p2pMarshal(GridKernalContext ctx)` Deploys and marshals inner objects (called only if peer deployment is enabled).
`void` `p2pUnmarshal(UUID nodeId, GridKernalContext ctx)` Unmarshals inner objects (called only if peer deployment is enabled).
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryHandler

`cacheName, createBatch, filter, internal, isEvents, isMessaging, isQuery, keepBinary, keepBinary, localCache, notifyCallback, notifyExisting, onBatchAcknowledged, onListenerRegistered, orderedTopic, register, skipPrimaryCheck, taskNameHash, unregister, updateCounters, waitTopologyFuture`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### filter

    protected transient javax.cache.event.CacheEntryEventFilter filter

### Constructor Detail

#### CacheContinuousQueryHandlerV2

    public CacheContinuousQueryHandlerV2()

Required by `Externalizable`.

#### CacheContinuousQueryHandlerV2

    public CacheContinuousQueryHandlerV2(String cacheName,
                                 Object topic,
                                 javax.cache.event.CacheEntryUpdatedListener<K,V> locLsnr,
                                 javax.cache.configuration.Factory<? extends javax.cache.event.CacheEntryEventFilter<K,V>> rmtFilterFactory,
                                 boolean oldValRequired,
                                 boolean sync,
                                 boolean ignoreExpired,
                                 boolean ignoreClsNotFound,
                                 @Nullable
                                 Byte types)

Constructor.

Parameters:
  `cacheName` - Cache name.
  `topic` - Topic for ordered messages.
  `locLsnr` - Local listener.
  `rmtFilterFactory` - Remote filter factory.
  `oldValRequired` - Old value required flag.
  `sync` - Synchronous flag.
  `ignoreExpired` - Ignore expired events flag.
  `types` - Event types.

### Method Detail

#### getEventFilter

    public javax.cache.event.CacheEntryEventFilter getEventFilter()

Overrides:
  `getEventFilter` in class `CacheContinuousQueryHandler<K,V>`
Returns:
  Cache entry event filter.

#### p2pMarshal

    public void p2pMarshal(GridKernalContext ctx)
                    throws IgniteCheckedException

Deploys and marshals inner objects (called only if peer deployment is enabled).

Specified by:
  `p2pMarshal` in interface `GridContinuousHandler`
Overrides:
  `p2pMarshal` in class `CacheContinuousQueryHandler<K,V>`
Parameters:
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### p2pUnmarshal

    public void p2pUnmarshal(UUID nodeId,
                    GridKernalContext ctx)
                      throws IgniteCheckedException

Unmarshals inner objects (called only if peer deployment is enabled).

Specified by:
  `p2pUnmarshal` in interface `GridContinuousHandler`
Overrides:
  `p2pUnmarshal` in class `CacheContinuousQueryHandler<K,V>`
Parameters:
  `nodeId` - Sender node ID.
  `ctx` - Kernal context.
Throws:
  `IgniteCheckedException` - In case of error.

#### clone

    public GridContinuousHandler clone()

Clones this handler.

Specified by:
  `clone` in interface `GridContinuousHandler`
Overrides:
  `clone` in class `CacheContinuousQueryHandler<K,V>`
Returns:
  Clone of this handler.

#### toString

    public String toString()

Overrides:
  `toString` in class `CacheContinuousQueryHandler<K,V>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `CacheContinuousQueryHandler<K,V>`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `CacheContinuousQueryHandler<K,V>`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016